Update Work-in-Progress Catalog Item
1 min
PATCH
https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/wip
catalogItemIdstringUnique identifier for a catalog item.
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectThe data to partially update the catalog item.
200Successfully updated the catalog item.
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
412Precondition failed. This request has been refused.
curl --request PATCH \
--url https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/wip \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'